# Class ELNode.Root

java.lang.Object
org.apache.jasper.compiler.ELNode
org.apache.jasper.compiler.ELNode.Root

Enclosing class:
  `ELNode`

public static class ELNode.Root extends ELNode
Represents an EL expression: anything in ${ and }.

Author:
  Kin-man Chung

## Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.jasper.compiler.ELNode

`ELNode.ELText, ELNode.Function, ELNode.Nodes, ELNode.Root, ELNode.Text, ELNode.Visitor`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ELNode.Visitor v)`
`ELNode.Nodes`
`getExpression()`
`char`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### accept

public void accept(ELNode.Visitor v) throws JasperException

Specified by:
  `accept` in class `ELNode`
Throws:
  `JasperException`

### getExpression

public ELNode.Nodes getExpression()

### getType

public char getType()